Packages - Bug #959

Audio broken on video players
2016-03-01 07:45 AM - jluttine

Status: fixed % Done: 0%
Priority: broken

Assignee:

Category:

Description

Trying to play videos with VLC / Mplayer / others, but | can get no sound and see the following error message on the terminal:

Failed to open VDPAU backend libvdpau_va_gl.so: cannot open shared object file: No such file or di
rectory

| have the latest packages, and | noticed there have been recent updates to vic, mediastreamer, xine-lib, ffmpeg and libx264 to name
a few that might be relevant.

History

#1 - 2016-03-01 07:49 AM - jluttine

Also, pulseaudio, libpulse and alsa-plugins have been updated recently. Not sure what package(s) is the cause of the problem.

#2 - 2016-03-01 11:56 AM - fturco

jluttine wrote:

Not sure what package(s) is the cause of the problem.

Do you have the community/libvdpau-va-gl package installed on your system?

$ pkgfile libvdpau_va_gl.so
community/libvdpau-va-gl

#3 - 2016-03-01 05:22 PM - jluttine

| didn't have that package installed. | installed it but it had no effect on the sound problem (though that previous error message disappeared). Instead,
the video became very jerky (VLC started probably using it for hardware acceleration but it doesn't work on my computer, | suppose). | tried different

audio devices etc on VLC with no luck yet. This is most probably related to some package upgrade because I've had no problems previously. Maybe

I'll need to downgrade a bunch of packages and see if it has an effect.

#4 - 2016-03-02 10:49 AM - jluttine

Ok, it seems that the problem was in the video files. My mistake, sorry. | think | tried several different video files but couldn't hear no audio, but
perhaps | had something else wrong (eg. muting) at that point. Don't know. Anyway, problem solved, can be closed.

#5 - 2016-03-02 03:42 PM - ovruni
- Status changed from open to fixed

- Due date set to 2016-03-02
